# MarianumMobile

MarianumMobile is a versatile and user-friendly mobile client designed to integrate Webuntis and Nextcloud functionalities, enriched with Talk and other integrations for a comprehensive communication experience.

## Features

- **Webuntis Integration**: Keep in time through the Webuntis integration. Access your timetables, schedules, and academic information on the go, directly from your mobile device.

- **Nextcloud Connectivity**: MarianumMobile covers the basic features by offering seamless Nextcloud integration. Access, your files, documents, photos, all within the app. Your Nextcloud becomes an extension of your mobile workspace.

- **Talk Integration**: Communication is essential in any environment. MarianumMobile helps with this need and incorporates a Talk integration. Stay connected with peers, teachers, and colleagues without leaving the app.

- **Cross-Platform Compatibility**: Our mobile client caters to both Android and iOS users, ensuring that no matter your device preference, MarianumMobile is readily available and accessible.

- **User-Friendly Interface**: Navigating through the app is a breeze thanks to its intuitive user interface. Whether you're checking your timetable, accessing files, or engaging in communication, MarianumMobile offers a seamless and user-friendly experience.

- **Offline Access**: Don't let a lack of internet connectivity hinder your productivity. With MarianumMobile, you can access previously synced data and files offline, ensuring you're always prepared.

